Menu

- Learn
- Documentation
  - Language Reference
  - Library Reference
  - Command-line Reference
  - Feature Overview
  - Articles
- Downloads
- Packages
- Community
  - Blog
  - Orgs using D
  - Twitter
  - Calendar
  - Forums
  - IRC
  - Wiki
  - GitHub
  - Issues
  - Get involved
  - Contributors
  - Foundation
  - Security Team
  - Donate
  - Sponsors
- Resources
  - Tour
  - Books
  - Tutorials
  - Tools
  - Editors
  - IDEs
  - run.dlang.io
  - Visual D
  - Acknowledgments
  - D Style
  - Glossary
  - Sitemap

Search
Report a bug
If you spot a problem with this page, click here to create a Bugzilla issue.
Improve this page
Quickly fork, edit online, and submit a pull request for this page. Requires a signed-in GitHub account. This works well for small changes. If you'd like to make larger changes you may want to consider using a local clone.

# dmd.hdrgen

Compiler implementation of the D programming language.
Authors:
Walter Bright
License:
Boost License 1.0

Source hdrgen.d

Documentation https://dlang.org/phobos/dmd_hdrgen.html

Coverage https://codecov.io/gh/dlang/dmd/src/master/src/dmd/hdrgen.d

void `moduleToBuffer`(OutBuffer* `buf`, Module `m`);
  Dumps the full contents of module `m` to `buf`.
  Parameters:

  OutBuffer* `buf` | buffer to write to.
  Module `m` | module to visit all members of.

const(char)* `stcToChars`(ref StorageClass `stc`);
  Pick off one of the storage classes from stc, and return a pointer to a string representation of it. stc is reduced by the one picked.
const(char)[] `stcToString`(ref StorageClass `stc`);
  Returns:
  a human readable representation of `stc`
const(char)* `trustToChars`(TRUST `trust`);
string `trustToString`(TRUST `trust`);
  Returns:
  a human readable representation of `trust`, which is the token `trust` corresponds to
const(char)* `protectionToChars`(Prot.Kind `kind`);
string `protectionToString`(Prot.Kind `kind`);
  Returns:
  a human readable representation of `kind`
void `argExpTypesToCBuffer`(OutBuffer* `buf`, Expressions* `arguments`);
  Write out argument types to buf.
const(char)* `parametersTypeToChars`(ParameterList `pl`);
  Pretty print function parameters.
  Parameters:

  ParameterList `pl` | parameter list to print

  Returns:
  Null-terminated string representing parameters.
const(char)* `parameterToChars`(Parameter `parameter`, TypeFunction `tf`, bool `fullQual`);
  Pretty print function parameter.
  Parameters:

  Parameter `parameter` | parameter to print.
  TypeFunction `tf` | TypeFunction which holds parameter.
  bool `fullQual` | whether to fully qualify types.

  Returns:
  Null-terminated string representing parameters.

Copyright © 1999-2019 by the D Language Foundation | Page generated by Ddoc on Sat Mar 2 03:27:23 2019